<script lang="ts">
  import Section from '$lib/components/sections/Section.svelte';
  import ResearchItem from '$lib/components/Items/ResearchItem.svelte';
  import BaseLayout from '$lib/components/layouts/BaseLayout.svelte';
  import type { PageData } from './$types';
  import { axiosInstance } from '$lib/config';
  import Pagination from '$lib/components/Pagination.svelte';

  export let data: PageData;

  let research = data?.research.data,
    page = data.page || 1,
    pages = data?.research.pages;

  $: {
    research = data?.research.data;
    page = data.page || 1;
    pages = data?.research.pages;
  }

  async function handleSearch(event: any) {
    const res = await axiosInstance.get('/research', { params: { ...(event.detail && { name: event.detail }) } });

    if (event.detail) {
      pages = 0;
    } else {
      pages = data?.research.pages;
    }

    research = res.data.data;
  }
</script>

<svelte:head>
    <title>Начинающему исследователю</title>
</svelte:head>

<BaseLayout>
    <Section title="Начинающему исследователю" class="mt-16" {handleSearch}>
<!--        <section class="space-y-6">-->
<!--            <p class="text-4xl font-serif">Категории</p>-->
<!--            <section class="flex flex-wrap gap-3">-->
<!--                {#each categories as { name, href }}-->
<!--                    <a {href}>-->
<!--                        <Tag {name}/>-->
<!--                    </a>-->
<!--                {/each}-->
<!--            </section>-->
<!--        </section>-->
        {#each research as { id, name, researchCategory: category, attachment, tag_Research: tags }}
            <ResearchItem
                {id}
                {name}
                {category}
                {attachment}
                {tags}
            />
        {/each}
        <Pagination {page} {pages}/>
    </Section>
</BaseLayout>